AI Model APIChatNative OpenAI Format
Responses Format
OpenAI Responses API, used to create model responses. Supports multi-turn conversations, tool calling, reasoning, and other features.
Authorization
BearerAuth
AuthorizationBearer <token>
Authenticate using a Bearer Token.
Format: Authorization: Bearer sk-xxxxxx
In: header
Request Body
application/json
model*string
Model ID
input*string
Input content. Can also be an array of message objects for multi-turn conversations.
instructions?string
max_output_tokens?integer
temperature?number
top_p?number
stream?boolean
tools?
tool_choice?string
Tool selection mode. Can also be an object to specify a particular function.
reasoning?
previous_response_id?string
truncation?string
Value in
"auto" | "disabled"Response Body
application/json
curl -X POST "https://easyrouter.io/v1/responses" \ -H "Content-Type: application/json" \ -d '{ "model": "gpt-5.4-nano", "input": "Hello" }'{
"id": "string",
"object": "response",
"created_at": 0,
"status": "completed",
"model": "string",
"output": [
{
"type": "string",
"id": "string",
"status": "string",
"role": "string",
"content": [
{
"type": "string",
"text": "string"
}
]
}
],
"usage": {
"prompt_tokens": 0,
"completion_tokens": 0,
"total_tokens": 0,
"prompt_tokens_details": {
"cached_tokens": 0,
"text_tokens": 0,
"audio_tokens": 0,
"image_tokens": 0
},
"completion_tokens_details": {
"text_tokens": 0,
"audio_tokens": 0,
"reasoning_tokens": 0
}
}
}